GET /api/v1/dataGraph/{dataGraphName}?lookupKeys=[]
Use secondary lookup keys to request data from a data graph.
Syntax
- HTTP method
- GET
- Availability
- Data Cloud v1.0, Salesforce v51.0
- Formats
- REST
- URI
- /api/v1/dataGraph/{dataGraphName}/{dataGraphRecordId}
Request Parameters
| Field Name | Field Type | Description |
|---|---|---|
| dataGraphName | string | The data graph's API name. |
| lookupKeys | string[] | The API name of the related object included in the data graph and a field name and field ID of that related object, limited to a specific field on a specific related data model object. |
Example
This example shows a query of the data graph UnifiedIndividual_DG. The lookup uses the related object UnifiedLinkssotIndividualIr1__dlm, its field SourceRecordId__c, and field ID 10000001. The response includes all records that match the search criteria specified in the lookup.
- Request
-
1https://{TSE}.360a.salesforce.com/api/v1/dataGraph/UnifiedIndividual_DG?lookupKeys=[UnifiedLinkssotIndividualIr1__dlm.SourceRecordId__c=10000001] - Response
-
1{ 2 "data": [ 3 { 4 "json_blob__c": "{\"ssot__Id__c\":\"eabf8b8a0ec83c3aea36ac8359b65f97\",\"UnifiedLinkssotIndividualIr1__dlm\":[{\"SourceRecordId__c\":\"10000001\",\"UnifiedRecordId__c\":\"eabf8b8a0ec83c3aea36ac8359b65f97\",\"ssot__Individual__dlm\":[{\"ssot__FirstName__c\":\"Jean\",\"ssot__Id__c\":\"10000001\",\"ssot__LastName__c\":\"Johnson\",\"ssot__SalesOrder__dlm\":[{\"ssot__PurchaseOrderDate__c\":\"2023-07-26T07:37:57.927Z\",\"ssot__Id__c\":\"100002\",\"ssot__SoldToCustomerId__c\":\"10000001\",\"ssot__TotalProductAmount__c\":557.000000000000000000},{\"ssot__PurchaseOrderDate__c\":\"2023-07-26T19:52:26.525Z\",\"ssot__Id__c\":\"100001\",\"ssot__SoldToCustomerId__c\":\"10000001\",\"ssot__TotalProductAmount__c\":192.000000000000000000},{\"ssot__PurchaseOrderDate__c\":\"2023-07-06T20:30:18.255Z\",\"ssot__Id__c\":\"100005\",\"ssot__SoldToCustomerId__c\":\"10000001\",\"ssot__TotalProductAmount__c\":590.000000000000000000}]}]}]}" 5 } 6 ], 7 "done": true 8}